Update
curl --request PATCH \
--url https://{defaultHost}/v1/shipping_protocol \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shipping_protocol": {
"shipping_enabled": true
}
}
'import requests
url = "https://{defaultHost}/v1/shipping_protocol"
payload = { "shipping_protocol": { "shipping_enabled": True } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({shipping_protocol: {shipping_enabled: true}})
};
fetch('https://{defaultHost}/v1/shipping_protocol', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "440ff81e-20ab-4497-a5d7-796ad7877095",
"object": "shipping_protocol",
"shipping_enabled": true,
"created_at": 1782485903,
"updated_at": 1782485903
}Shipping Protocols
Update
Updates the current account’s shipping protocol.
PATCH
/
v1
/
shipping_protocol
Update
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
Success
The UUID of the specific object.
A string describing the object type returned.
If set to true a shipping choice will be required for checkouts that have shipping_enabled products.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?
⌘I